cdbunch
Contributor
Contributor

MegaCli for LSI MegaRaid 9240-8i on ESXi 5.0

Jump to solution

I have set up an ESXi 5.0 machine with an LSI MegaRaid 9240-8i controller. The controller works fine and I was able to load the SMIS provider such that the controller displays properly in the health status. But I really want to be able to use the MegaCli command line tool. I have loaded the MegaCli executible but when I run it it fails asking for libstorelib.so. Does anyone know what I need to load to make it available? I have searched all through both LSI and Vmware sites and am not finding anything.

Thanks,

Cameron

1 Solution

Accepted Solutions
mrityu
Enthusiast
Enthusiast

Copy the file from a existing ESXi 4.1 host. its under /lib folder. Also when you copy over copy to an vmfs volume or NFS not to /lib I did that once and rebooted, poof gone, had to re do it again Smiley Happy

Here are some images I collected when I was upgrading the firmware on my LSI Megaraid 9260-8i

megaraid.png

before.png

finally-flash.png

View solution in original post

0 Kudos
7 Replies
mrityu
Enthusiast
Enthusiast

Copy the file from a existing ESXi 4.1 host. its under /lib folder. Also when you copy over copy to an vmfs volume or NFS not to /lib I did that once and rebooted, poof gone, had to re do it again Smiley Happy

Here are some images I collected when I was upgrading the firmware on my LSI Megaraid 9260-8i

megaraid.png

before.png

finally-flash.png

View solution in original post

0 Kudos
Leathal
Contributor
Contributor

Are you using the LSI ESXi 5.0 driver? (just wondering)

A.

0 Kudos
cdbunch
Contributor
Contributor

mrityu: Thanks for the suggestion. It worked perfectly. I had to create a new 4.1 installation because I had moved the controller from the machine I had 4.1 installed on so that system was not accessible.

Cameron

0 Kudos
cdbunch
Contributor
Contributor

Leathal: I installed scsi-megaraid-sas-5.34-1vmw.500.0.0.406165.x86_64.vib so I should have the most recent driver as far as I know. If you are aware of something newer or something else that should be installed I am interested. I am new at installing ESXi drivers so I could easily have overlooked something.

Also: I just realized that I put the wrong model number in the subject. It is actually a 9260-8i.

Cameron

0 Kudos
jce201110141
Contributor
Contributor

Hi,

I tried this, but after copying libstorelib I had libstdc++ errors; vmware 5 comes with a newer version. Did you not have that error? Where did you get your megacli and/or libstorelib files from (which version)?

Josh

0 Kudos
OlegBarkov
Contributor
Contributor

1. Download MegaCli bundle from http://www.lsi.com/channel/products/storagecomponents/Pages/MegaRAIDSAS9260-4i.aspx

2. In downloaded archive find vib (vmware-esx-MegaCli-8.04.07.vib) file and copy it to your host /tmp. You can use WinSCP for copying.

3. SSH to you host

4. $ esxcli software vib install --no-sig-check -v /tmp/vmware-esx-MegaCli-8.04.07.vib

5. $ cd /opt/lsi/MegaCLI

6. $ ./MegaCli -AdpAllInfo aAll

The required library goes with the bundle and is placed by installer in the same directory as MegaCli itself.

iteese
Contributor
Contributor

OlegBarkov is correct.

1. You can download the MegaCLI from the LSI website - http://www.lsi.com/support/pages/download-search.aspx

2. Either search for "MegaCLI" or select the options from the left, in your case:

Component type: Storage Component
Product Family: RAID Controllers
Product: MegaRAID SAS 9240-8i
Asset Type: Management Software and Tools

Note: It seems the current version of the MegaCLI (5.5 P2 or 8.07.14) is missing the VMWare vib file necessary to do the install, but the previous version (5.5 P1 or 8.07.07) contains it.

3. So to find the file, expand the Management Software and Tools and select "Archived". Scroll down and find the MegaCLI 5.5 P1 and download the zip file.

4. Extract the zip file and you should see a "VMWareMN" folder which contains the vib file. Installing this vib on your esxi host will also installed the required "libstorelib.so" file.

Note: You'll need to use Putty and WinSCP (or something similar) to SSH and SCP respectively.

Note: You may need to enable SSH on your esxi host first from the console.

5. Copy the vib file to a directory on your esxi host (e.g /tmp/) using WinSCP

6. Then using Putty run the following to install the vib:

esxcli software vib install -v=/tmp/vmware-esx-MegaCli-8.07.07.vib --force --maintenance-mode --no-sig-check

7. You can then run the following commands to check:

cd /opt/lsi/MegaCLI

ls

./MegaCli -AdpAllInfo aAll

0 Kudos